//-----------------------------------------------------------------------------
// Copyright  1999 - Philip Howard
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//-----------------------------------------------------------------------------
// package	rmd160
// version	1.2.0
// homepage	http://phil.ipal.org/freeware/rmd160/
//-----------------------------------------------------------------------------
// author	Philip Howard
// email	phil@ipal.org
// homepage	http://phil.ipal.org/
//-----------------------------------------------------------------------------

#ifndef __RMD160_LIB_H__
#define __RMD160_LIB_H__

//-----------------------------------------------------------------------------
// Include other headers needed for the library.
//-----------------------------------------------------------------------------
#include <errno.h>
#include <limits.h>
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

//-----------------------------------------------------------------------------
// Include our own header.
//-----------------------------------------------------------------------------
#include "rmd160.h"

//-----------------------------------------------------------------------------
// Define general configuration parameters.
//
// RMD160_BUFSIZ is the size of the buffer used by functions that do I/O.
//-----------------------------------------------------------------------------
#define RMD160_BUFSIZ		1024

//-----------------------------------------------------------------------------
// Define special initialization constants as specified in the RIPEMD-160
// algorithm.  DO NOT CHANGE THESE!
//-----------------------------------------------------------------------------
#define RMD160_INIT0		0x67452301UL
#define RMD160_INIT1		0xefcdab89UL
#define RMD160_INIT2		0x98badcfeUL
#define RMD160_INIT3		0x10325476UL
#define RMD160_INIT4		0xc3d2e1f0UL

#endif /* __RMD160_LIB_H__ */
